
ChiliProject - Feature # 230: Allow the loadpaths of themes to be specified in configuration.yml

Status: Closed Priority: Normal
Author: Holger Just Category: Themes
Created: 2011-02-27 Assignee: Eric Davis
Updated: 2011-03-24 Due date:
Remote issue URL:
Affected version:
Description: Currently, the theme loadpath is hard-coded in source:lib/redmine/themes.rb#L92. This path should be 

overrideable in configuration.yml and should allow more than one path.

I have code for it that just needs to be extracted.

Associated revisions
2011-03-24 09:46 pm - Holger Just 
[#230] Make loadpath of themes configurable

Based on a987b74ed14 by meineerde

History
2011-02-27 08:20 pm - Eric Davis
project@chiliproject.org wrote:

> This path should be overrideable in configuration.yml and should
> allow more than one path.
> 
> I have code for it that just needs to be extracted.

How would this work if we convert themes to full plugins?

2011-03-23 12:24 am - Eric Davis
Holger:

How is this coming? Is there a branch I can review?

2011-03-23 10:00 am - Holger Just
- Assignee deleted (Holger Just)

- Status changed from Open to Ready for review

Please see https://github.com/chiliproject/chiliproject/pull/31

2011-03-23 11:37 pm - Eric Davis
- Category set to Themes

Thanks Holger, it looks fine to me with a few comments:

* the default option is in @Theme#theme_paths@. Felix has mentioned putting all of the defaults into @Configuration@ instead.
* quite a bit of whitespace changes, might be good to cherry-pick and `git add -p` so only the code is pulled in. At least until all of the files are 
line-ending/trimmed.
* There is a documentation copy and paste error from @/files@.
If this looks good to everyone else, I'll merge it for the release (and make these minor changes at that time).

2011-03-24 09:25 pm - Eric Davis
- Assignee set to Eric Davis

- Status changed from Ready for review to Closed

Merged to master with a few changes (whitespace and docs). commit:8cfe498bd60cdb7fab3f953e1e14aed004361856
